Jump to content











Photo
- - - - -

Grub4Dos Ending Project ?


  • Please log in to reply
6 replies to this topic

#1 islogged

islogged

    Newbie

  • Members
  • 25 posts
  •  
    France

Posted 08 April 2016 - 02:34 PM

Hi,

 

In the past i used a long time grub4dos.

I used it on my main HDD and installed it with grubinst version : 1.1 (Gui or Cli)

 

It worked well until Windows 8.1, but since Windows 10 when i install it in the same way, i often get this Message Error: https://i.ytimg.com/...xresdefault.jpg

 

I also try to find a new version of grubinst but it seem a dead project.

Can you inform me ?

 

Thank you!



#2 steve6375

steve6375

    Platinum Member

  • Developer
  • 6597 posts
  • Location:UK
  • Interests:computers, programming (masm,vb6,C,vbs), photography,TV,films,guitars
  •  
    United Kingdom

Posted 08 April 2016 - 03:01 PM

That is a windows error message, not grub4dos.

It has nothing to do with grub4dos or grubinst.

 

How are you booting to bootmgr via grub4dos?



#3 tinybit

tinybit

    Gold Member

  • Developer
  • 1051 posts
  •  
    China

Posted 09 April 2016 - 01:07 AM

you might be using a very old grub4dos, say, 0.4.4.

 

Try this download page: http://grub4dos.chenall.net



#4 islogged

islogged

    Newbie

  • Members
  • 25 posts
  •  
    France

Posted 10 April 2016 - 07:33 AM

That is a windows error message, not grub4dos.

It has nothing to do with grub4dos or grubinst.

 

Yeah, i know that !

Anyway i never got that on Windows Vista, Seven, Eight and Eight.1

 

How are you booting to bootmgr via grub4dos?

 

 
Like This: (Same as Old Windows Version)
title >> Windows 10 Enterprise x64 en-US <<
chainloader (hd0,0)/bootmgr
 
you might be using a very old grub4dos, say, 0.4.4.
Try this download page: http://grub4dos.chenall.net

 

Yeah maybe, thanks for the Link

Anyway, i don't know how to install (in Windows) the last Version from your link ( http://grub4dos.chen....6a-2016-04-10/ )

 

On my version i used before, i always used this Gui: http://esense.be/33/...02/grub4dos.png
Or the Cli as: grubinst (hd0) for installing in the MBR  
 
Thanks for Help


#5 steve6375

steve6375

    Platinum Member

  • Developer
  • 6597 posts
  • Location:UK
  • Interests:computers, programming (masm,vb6,C,vbs), photography,TV,films,guitars
  •  
    United Kingdom

Posted 10 April 2016 - 08:06 AM

To update grub4dos, just replace the \grldr file with a later version.

 

The error you have indicates an incompatibility between the version of bootmgr you are using and the \boot\BCD configuration file.

How do you create or modify the BCD?



#6 islogged

islogged

    Newbie

  • Members
  • 25 posts
  •  
    France

Posted 11 April 2016 - 05:03 PM

The error you have indicates an incompatibility between the version of bootmgr you are using and the \boot\BCD configuration file.

How do you create or modify the BCD?

 

 

You helped me to find the problem ...

I don't know WTF but the active partition was on (hd0,2) and then ... the \boot directory on D:\

 

Then the problem is now solved.

 

 

To update grub4dos, just replace the \grldr file with a later version.

 

 

Ok !

 

Anyway i have a last question (it's maybe out of the topic) but why in the archive of grub4dos ( http://grub4dos.chen....6a-2016-04-10/) there is no program to install the MBR part. The only executable files are (bootlace.com, bootlace64.com, hmload.com, badgrub.exe, grub.exe ) and all return: " ...... is not compatible with the version of Windows you're running. Check your computer's system information and then contact the software publisher."

 

These programs seems useless but side of this, i need to download a third party program (as grubinst) to finally install the Grub4Dos part in the MBR -> I really don't understand the logic ...

 

Thanks.


Edited by islogged, 11 April 2016 - 05:06 PM.


#7 Wonko the Sane

Wonko the Sane

    The Finder

  • Advanced user
  • 13593 posts
  • Location:The Outside of the Asylum (gate is closed)
  •  
    Italy

Posted 11 April 2016 - 05:41 PM

Anyway i have a last question (it's maybe out of the topic) but why in the archive of grub4dos ( http://grub4dos.chen....6a-2016-04-10/) there is no program to install the MBR part. The only executable files are (bootlace.com, bootlace64.com, hmload.com, badgrub.exe, grub.exe ) and all return: " ...... is not compatible with the version of Windows you're running. Check your computer's system information and then contact the software publisher."

 

These programs seems useless but side of this, i need to download a third party program (as grubinst) to finally install the Grub4Dos part in the MBR -> I really don't understand the logic ...

 

Thanks.

 

Well, no, to put it in the "right perspective", it's "the version of Windows you're running" that is pretty much useless :w00t: :ph34r:


;)

Seriously now :), you can use grubinst alright, or some other (bettered/modified/whatever) programs, some are talked about here:

http://reboot.pro/to...dows-and-linux/

BOOTICE can also (if I recall correctly) install grub4dos, and possibly even the good ol' Toolbox still works:

http://reboot.pro/to...ox-for-windows/

 

As a side-side note, if you have a BOOTMGR anyway on the disk, you can decide to NOT install the grub4dos but rather use a simple BOOT.INI, JFYI:
http://reboot.pro/to...-results/page-2

 

:duff:

Wonko






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users